Debian Bug report logs - #429064
linux-libc-dev: <linux/types.h> conflicts with <sys/ustat.h>

version graph

Package: linux-libc-dev; Maintainer for linux-libc-dev is Debian Kernel Team <debian-kernel@lists.debian.org>; Source for linux-libc-dev is src:linux.

Reported by: Matej Vela <vela@debian.org>

Date: Fri, 15 Jun 2007 18:06:06 UTC

Severity: serious

Tags: lenny, sid

Found in version linux-2.6/2.6.21-4

Fixed in version linux-2.6/2.6.25-4

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#429064; Package linux-libc-dev. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: submit@bugs.debian.org
Subject: linux-libc-dev: <linux/types.h> conflicts with <sys/ustat.h>
Date: Fri, 15 Jun 2007 19:59:33 +0200
Package: linux-libc-dev
Version: 2.6.21-4
Severity: serious
Justification: causes build failures (#428944)

<linux/types.h> can't be used together with <sys/ustat.h> because they
both define struct ustat:

    $ cat test.c
    #include <sys/ustat.h>
    #include <linux/types.h>
    $ gcc -c test.c
    In file included from test.c:2:
    /usr/include/linux/types.h:165: error: redefinition of 'struct ustat'

linux-kernel-headers solved this by removing the definition from
<linux/types.h> -- see debian/patches/linux-types-ustat.patch:

--- include/linux/types.h.orig	2006-06-10 00:16:51.962628154 -0400
+++ include/linux/types.h	2006-06-10 00:20:28.592333583 -0400
@@ -188,11 +188,14 @@
 typedef unsigned __bitwise__ gfp_t;
 #endif
 
+#if 0
+/* Debian: This is available from <sys/ustat.h>.  */
 struct ustat {
 	__kernel_daddr_t	f_tfree;
 	__kernel_ino_t		f_tinode;
 	char			f_fname[6];
 	char			f_fpack[6];
 };
+#endif
 
 #endif /* _LINUX_TYPES_H */

Thanks,

Matej



Blocking bugs of 428944 added: 429064 Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. (Fri, 15 Jun 2007 18:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#429064; Package linux-libc-dev. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #12 received at 429064@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Matej Vela <vela@debian.org>, 429064@bugs.debian.org
Subject: Re: Bug#429064: linux-libc-dev: <linux/types.h> conflicts with <sys/ustat.h>
Date: Fri, 15 Jun 2007 20:24:42 +0200
reassign 429064 libc6-dev
thanks

On Fri, Jun 15, 2007 at 07:59:33PM +0200, Matej Vela wrote:
> <linux/types.h> can't be used together with <sys/ustat.h> because they
> both define struct ustat:

This is a bug in the libc headers. The kernel headers can't be changed
without breaking the kernel themself.

Bastian

-- 
Without followers, evil cannot spread.
		-- Spock, "And The Children Shall Lead", stardate 5029.5



Bug reassigned from package `linux-libc-dev' to `libc6-dev'. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Fri, 15 Jun 2007 18:27:04 GMT) Full text and rfc822 format available.

Bug reassigned from package `libc6-dev' to `linux-libc-dev'. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Fri, 15 Jun 2007 18:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#429064; Package linux-libc-dev. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #21 received at 429064@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Bastian Blank <waldi@debian.org>
Cc: Matej Vela <vela@debian.org>, 429064@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#429064: linux-libc-dev: <linux/types.h> conflicts with <sys/ustat.h>
Date: Fri, 15 Jun 2007 20:56:37 +0200
reassign 429064 linux-libc-dev
thanks

On Fri, Jun 15, 2007 at 08:24:42PM +0200, Bastian Blank wrote:
> reassign 429064 libc6-dev
> thanks
> 
> On Fri, Jun 15, 2007 at 07:59:33PM +0200, Matej Vela wrote:
> > <linux/types.h> can't be used together with <sys/ustat.h> because they
> > both define struct ustat:
> 
> This is a bug in the libc headers. The kernel headers can't be changed
> without breaking the kernel themself.

Are you kidding? The fact that you can't fix it easily on your side
doesn't mean that he problem is on the other side.

The definition of the structure ustat in sys/ustat.h is associated with
the C function ustat() since glibc 2.0 and in HP-UX. You can't simply
remove it and standard.

linux-libc-dev should not directly export a kernel structure. Either
remove it or use #ifdef __KERNEL__, but don't bother us with that.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#429064; Package linux-libc-dev. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #26 received at 429064@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: Matej Vela <vela@debian.org>, 429064@bugs.debian.org
Subject: Re: Bug#429064: linux-libc-dev: <linux/types.h> conflicts with <sys/ustat.h>
Date: Fri, 15 Jun 2007 21:10:32 +0200
reassign 429064 libc6-dev
thanks

On Fri, Jun 15, 2007 at 08:56:37PM +0200, Aurelien Jarno wrote:
> The definition of the structure ustat in sys/ustat.h is associated with
> the C function ustat() since glibc 2.0 and in HP-UX. You can't simply
> remove it and standard.

bits/ustat.h is system specific.

> linux-libc-dev should not directly export a kernel structure. Either
> remove it or use #ifdef __KERNEL__, but don't bother us with that.

It is part of the userspace interface which is redefined in
bits/ustat.h.

Anyway, it is no bug in the kernel to export its userspace interface.

Bastian

-- 
Women are more easily and more deeply terrified ... generating more
sheer horror than the male of the species.
		-- Spock, "Wolf in the Fold", stardate 3615.4



Bug reassigned from package `linux-libc-dev' to `libc6-dev'. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Fri, 15 Jun 2007 19:12:05 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurelien@aurel32.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matej Vela <vela@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 429064-done@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Bastian Blank <waldi@debian.org>
Cc: Matej Vela <vela@debian.org>, 429064-done@bugs.debian.org
Subject: Re: Bug#429064: linux-libc-dev: <linux/types.h> conflicts with <sys/ustat.h>
Date: Fri, 15 Jun 2007 21:22:12 +0200
Bastian Blank a écrit :
> reassign 429064 libc6-dev
> thanks
> 
> On Fri, Jun 15, 2007 at 08:56:37PM +0200, Aurelien Jarno wrote:
>> The definition of the structure ustat in sys/ustat.h is associated with
>> the C function ustat() since glibc 2.0 and in HP-UX. You can't simply
>> remove it and standard.
> 
> bits/ustat.h is system specific.
> 
>> linux-libc-dev should not directly export a kernel structure. Either
>> remove it or use #ifdef __KERNEL__, but don't bother us with that.
> 
> It is part of the userspace interface which is redefined in
> bits/ustat.h.
> 
> Anyway, it is no bug in the kernel to export its userspace interface.
> 

The glibc is correct here. If you don't want to get the bug assigned on
linux-2.6, then I am closing the bug.


-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#429064; Package libc6-dev. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #38 received at 429064@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: Bastian Blank <waldi@debian.org>, Matej Vela <vela@debian.org>, 429064@bugs.debian.org
Subject: Re: Bug#429064: linux-libc-dev: <linux/types.h> conflicts with <sys/ustat.h>
Date: Fri, 15 Jun 2007 21:48:02 +0200
reopen 429064
thanks

On Fri, Jun 15, 2007 at 09:22:12PM +0200, Aurelien Jarno wrote:
> The glibc is correct here. If you don't want to get the bug assigned on
> linux-2.6, then I am closing the bug.

The reported problem does still exist, so closing this bug is shoving a
real problem under the carpet because of disagreements amongst
maintainers how to fix it. There are other (superior) way to deal with
situations like this, I suggest you both talk to get to an agreement as
to what the best technical fix would be... If that fails, you can invoke
arbitration by the tech-ctte for example.

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Bug reopened, originator not changed. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. (Fri, 15 Jun 2007 20:00:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#429064; Package libc6-dev. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 429064@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: Bastian Blank <waldi@debian.org>
Cc: Aurelien Jarno <aurelien@aurel32.net>, 429064@bugs.debian.org
Subject: Re: Bug#429064: linux-libc-dev: <linux/types.h> conflicts with <sys/ustat.h>
Date: Fri, 15 Jun 2007 22:17:23 +0200
Bastian Blank <waldi@debian.org> writes:

>> linux-libc-dev should not directly export a kernel structure. Either
>> remove it or use #ifdef __KERNEL__, but don't bother us with that.
>
> It is part of the userspace interface which is redefined in
> bits/ustat.h.
>
> Anyway, it is no bug in the kernel to export its userspace interface.

I think "#ifdef __KERNEL__" is the traditional approach here.  It's
already used for a number of userspace interfaces -- struct sockaddr in
<linux/socket.h>, S_* in <linux/stat.h> -- and it won't break existing
code.

Thanks,

Matej



Blocking bugs of 427592 added: 429064 Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. (Sun, 17 Jun 2007 15:55:48 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.1-1. Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. (Tue, 19 Jun 2007 12:24:48 GMT) Full text and rfc822 format available.

Tags added: lenny, sid Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Fri, 29 Jun 2007 05:00:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#429064; Package libc6-dev. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #56 received at 429064@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: 429064@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#429064: linux-libc-dev: <linux/types.h> conflicts with <sys/ustat.h>
Date: Wed, 18 Jul 2007 21:51:45 +0200
tag 429064 + patch
reassign 429064 linux-libc-dev
thanks

On Fri, Jun 15, 2007 at 10:17:23PM +0200, Matej Vela wrote:
> Bastian Blank <waldi@debian.org> writes:
> 
> >> linux-libc-dev should not directly export a kernel structure. Either
> >> remove it or use #ifdef __KERNEL__, but don't bother us with that.
> >
> > It is part of the userspace interface which is redefined in
> > bits/ustat.h.
> >
> > Anyway, it is no bug in the kernel to export its userspace interface.
> 
> I think "#ifdef __KERNEL__" is the traditional approach here.  It's
> already used for a number of userspace interfaces -- struct sockaddr in
> <linux/socket.h>, S_* in <linux/stat.h> -- and it won't break existing
> code.
> 

I think so, please find below a simple patch to implement that:

--- linux-2.6.22.orig/include/linux/types.h	2007-07-09 01:32:17.000000000 +0200
+++ linux-2.6.22/include/linux/types.h	2007-07-18 21:45:19.000000000 +0200
@@ -198,8 +198,6 @@
 typedef u32 resource_size_t;
 #endif
 
-#endif	/* __KERNEL__ */
-
 struct ustat {
 	__kernel_daddr_t	f_tfree;
 	__kernel_ino_t		f_tinode;
@@ -207,4 +205,6 @@
 	char			f_fpack[6];
 };
 
+#endif	/* __KERNEL__ */
+
 #endif /* _LINUX_TYPES_H */


-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net



Tags added: patch Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Wed, 18 Jul 2007 19:54:03 GMT) Full text and rfc822 format available.

Bug reassigned from package `libc6-dev' to `linux-libc-dev'. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Wed, 18 Jul 2007 19:54:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#429064; Package linux-libc-dev. Full text and rfc822 format available.

Acknowledgement sent to "Richard Hartmann" <richih.mailinglist@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #65 received at 429064@bugs.debian.org (full text, mbox):

From: "Richard Hartmann" <richih.mailinglist@gmail.com>
To: 429064@bugs.debian.org
Subject: Re: Bug#429064: linux-libc-devel: <linux/types.h> conflicts with <sys/ustat.h>
Date: Mon, 13 Aug 2007 11:29:03 +0200
Is there any progress on this bug? Is has been almost a month and,
at least to me as an outsider, the fix in the form of the patch from
July 18th seems to be doing the trick and to be rather trivial to
implement.


Richard



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#429064; Package linux-libc-dev. Full text and rfc822 format available.

Acknowledgement sent to The Wanderer <inverseparadox@comcast.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #70 received at 429064@bugs.debian.org (full text, mbox):

From: The Wanderer <inverseparadox@comcast.net>
To: 429064@bugs.debian.org
Subject: Re: Bug#429064: linux-libc-devel: <linux/types.h> conflicts with <sys/ustat.h>
Date: Sat, 18 Aug 2007 12:06:43 -0400
It has now been a full month since the patch was posted. Is there any
progress towards getting it, or some other fix, applied? If not, is
there any chance of an explanation of just why this patch is not
considered acceptable, so that an alternate fix could potentially be
proposed?

This bug is blocking updates on 454 different packages for me, and
blocking me from installing a number of additional packages I really
want to have now that I finally have a use for them. The
workaround/"solution" of installing linux-libc-dev and then applying the
patch by hand does not sit well with me, in no small part since if I'm
not mistaken I would then have to remember to re-patch by hand every
time there was an update to the package.

If this bug is not in fact important enough to warrant not upgrading
packages because it has not been fixed, then it should not be marked as
Serious. If it *is* that important, then it should not go this long
without being addressed, particularly not when an apparently viable fix
is as simple as the posted patch.

I have been postponing package upgrades - including some security fixes
- for close to the full two-month time this bug has been open, and am
becoming decidedly uncomfortable with the situation.

-- 
      The Wanderer

Warning: Simply because I argue an issue does not mean I agree with any
side of it.

Secrecy is the beginning of tyranny.



Bug marked as found in version 2.6.21-4. Request was from Filipus Klutiero <cheal@hotpop.com> to control@bugs.debian.org. (Wed, 29 Aug 2007 04:42:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#429064; Package linux-libc-dev. Full text and rfc822 format available.

Acknowledgement sent to The Wanderer <inverseparadox@comcast.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #77 received at 429064@bugs.debian.org (full text, mbox):

From: The Wanderer <inverseparadox@comcast.net>
To: 429064@bugs.debian.org
Subject: Re: Bug#429064: linux-libc-devel: <linux/types.h> conflicts with <sys/ustat.h>
Date: Sun, 23 Sep 2007 10:25:21 -0400
Another month and more with no activity. Is anyone even paying attention
to this bug?

I am *still* postponing upgrades, including security updates, over this
breakage.

I reiterate:

If this bug is important enough to be marked Serious, then it is too
important to be left sit untouched this long, particularly when there is
an apparently simple fix at hand. If the fix proposed is acceptable, it
should be applied and the bug closed; if it is not acceptable, then it
should be explicitly rejected with an explanation, so that an attempt at
a better one can be made.

I would take this up with the maintainer directly, except that there
does not seem to be any such person...

-- 
      The Wanderer

Warning: Simply because I argue an issue does not mean I agree with any
side of it.

Secrecy is the beginning of tyranny.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#429064; Package linux-libc-dev. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #82 received at 429064@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: 429064@bugs.debian.org
Subject: Please apply the patch in 429064
Date: Tue, 6 Nov 2007 23:22:06 +0000
[Message part 1 (text/plain, inline)]
Please apply the patch in #429064.  It has been tagged as having a patch 
since July 18, the patch is trivial (and correct, IMHO), and this RC bug 
is breaking other packages (workbone; #427592).  If, for some reason, 
this patch is unacceptable, please untag the bug and explain what is 
necessary for an acceptable patch (so that someone, maybe me, can 
implement one).

Thank you.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
a typesetting engine: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Tags removed: patch Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Wed, 07 Nov 2007 07:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#429064; Package linux-libc-dev. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #89 received at 429064@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>, 429064@bugs.debian.org
Subject: Re: Bug#429064: Please apply the patch in 429064
Date: Wed, 7 Nov 2007 08:56:15 +0100
On Tue, Nov 06, 2007 at 11:22:06PM +0000, brian m. carlson wrote:
> Please apply the patch in #429064.  It has been tagged as having a patch 
> since July 18, the patch is trivial (and correct, IMHO)

No, it is not correct. glibc is not the only libc supported by Debian.

Bastian

-- 
Military secrets are the most fleeting of all.
		-- Spock, "The Enterprise Incident", stardate 5027.4




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#429064; Package linux-libc-dev. Full text and rfc822 format available.

Acknowledgement sent to The Wanderer <inverseparadox@comcast.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a Bug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #94 received at 429064@bugs.debian.org (full text, mbox):

From: The Wanderer <inverseparadox@comcast.net>
To: 429064@bugs.debian.org
Date: Thu, 08 Nov 2007 07:31:18 -0500
Would it then be (more) correct, or at least more acceptable, to add
'#ifndef __KERNEL__' or similar to the glibc header file?

How would that interact with the earlier statement from Aurelien Jarmo
earlier in the discussion that

> The definition of the structure ustat in sys/ustat.h is associated
> with the C function ustat() since glibc 2.0 and in HP-UX. You can't
> simply remove it and standard.

?



The core of the disagreement here seems to me to be the conflict between
the statements

> linux-libc-dev should not directly export a kernel structure. Either
> remove it or use #ifdef __KERNEL__, but don't bother us with that.

and

> it is no bug in the kernel to export its userspace interface.

I have not seen anyone respond directly to either of these, but any
solution acceptable to both sides will probably have to find some way to
resolve this first.


(For the record: I am assuming that other libcs will not necessarily
provide the same structure in the same place, because otherwise I cannot
see how your comment about glibc not being the only one provided by
Debian is at all relevant to the issue at hand.)

-- 
      The Wanderer

Warning: Simply because I argue an issue does not mean I agree with any
side of it.

Secrecy is the beginning of tyranny.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#429064; Package linux-libc-dev. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #99 received at 429064@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 435700@bugs.debian.org, 434040@bugs.debian.org, 429064@bugs.debian.org
Subject: thank you
Date: Wed, 27 Feb 2008 15:22:33 -0500
[Message part 1 (text/plain, inline)]
I've always wanted a system where this works:

#include <string.h>
#include <apm.h>

But this blows up horribly:

#include <apm.h>
#include <string.h>

I'd like to congradulate all involved maintainers in making this
possible, and on avoiding doing anything on this bug for longer than I'd
have imagined was possible. I love working around problems like this
over and over again, and without you, I'd have nothing to do to fill my
long, empty, days. Thank you for creating a thing of beauty and giving
my life meaning.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Maximilian Attems <maks@alioth.debian.org> to control@bugs.debian.org. (Sat, 24 May 2008 18:39:06 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matej Vela <vela@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #106 received at 429064-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 429064-close@bugs.debian.org
Subject: Bug#429064: fixed in linux-2.6 2.6.25-4
Date: Tue, 27 May 2008 14:02:28 +0000
Source: linux-2.6
Source-Version: 2.6.25-4

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.25-4.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.25-4.diff.gz
linux-2.6_2.6.25-4.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.25-4.dsc
linux-doc-2.6.25_2.6.25-4_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.25_2.6.25-4_all.deb
linux-headers-2.6.25-2-all-amd64_2.6.25-4_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.25-2-all-amd64_2.6.25-4_amd64.deb
linux-headers-2.6.25-2-all_2.6.25-4_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.25-2-all_2.6.25-4_amd64.deb
linux-headers-2.6.25-2-amd64_2.6.25-4_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.25-2-amd64_2.6.25-4_amd64.deb
linux-headers-2.6.25-2-common_2.6.25-4_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.25-2-common_2.6.25-4_amd64.deb
linux-image-2.6.25-2-amd64_2.6.25-4_amd64.deb
  to pool/main/l/linux-2.6/linux-image-2.6.25-2-amd64_2.6.25-4_amd64.deb
linux-libc-dev_2.6.25-4_amd64.deb
  to pool/main/l/linux-2.6/linux-libc-dev_2.6.25-4_amd64.deb
linux-manual-2.6.25_2.6.25-4_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.25_2.6.25-4_all.deb
linux-patch-debian-2.6.25_2.6.25-4_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.25_2.6.25-4_all.deb
linux-source-2.6.25_2.6.25-4_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.25_2.6.25-4_all.deb
linux-support-2.6.25-2_2.6.25-4_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.25-2_2.6.25-4_all.deb
linux-tree-2.6.25_2.6.25-4_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.25_2.6.25-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 429064@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 27 May 2008 11:46:11 +0200
Source: linux-2.6
Binary: linux-source-2.6.25 linux-doc-2.6.25 linux-manual-2.6.25 linux-patch-debian-2.6.25 linux-tree-2.6.25 linux-support-2.6.25-2 linux-libc-dev linux-headers-2.6.25-2-all linux-headers-2.6.25-2-all-alpha linux-headers-2.6.25-2-common linux-image-2.6.25-2-alpha-generic linux-headers-2.6.25-2-alpha-generic linux-image-2.6.25-2-alpha-smp linux-headers-2.6.25-2-alpha-smp linux-image-2.6.25-2-alpha-legacy linux-headers-2.6.25-2-alpha-legacy linux-headers-2.6.25-2-all-amd64 linux-image-2.6.25-2-amd64 linux-headers-2.6.25-2-amd64 linux-headers-2.6.25-2-all-arm linux-image-2.6.25-2-footbridge linux-headers-2.6.25-2-footbridge linux-image-2.6.25-2-iop32x linux-headers-2.6.25-2-iop32x linux-image-2.6.25-2-ixp4xx linux-headers-2.6.25-2-ixp4xx linux-image-2.6.25-2-orion5x linux-headers-2.6.25-2-orion5x linux-headers-2.6.25-2-all-armel linux-image-2.6.25-2-versatile linux-headers-2.6.25-2-versatile linux-headers-2.6.25-2-all-hppa linux-image-2.6.25-2-parisc linux-headers-2.6.25-2-parisc linux-image-2.6.25-2-parisc-smp linux-headers-2.6.25-2-parisc-smp linux-image-2.6.25-2-parisc64 linux-headers-2.6.25-2-parisc64 linux-image-2.6.25-2-parisc64-smp linux-headers-2.6.25-2-parisc64-smp linux-headers-2.6.25-2-all-i386 linux-image-2.6.25-2-486 linux-headers-2.6.25-2-486 linux-image-2.6.25-2-686 linux-headers-2.6.25-2-686 linux-image-2.6.25-2-686-bigmem linux-headers-2.6.25-2-686-bigmem linux-headers-2.6.25-2-common-xen linux-image-2.6.25-2-xen-686 linux-modules-2.6.25-2-xen-686 linux-headers-2.6.25-2-xen-686 linux-headers-2.6.25-2-all-ia64 linux-image-2.6.25-2-itanium linux-headers-2.6.25-2-itanium linux-image-2.6.25-2-mckinley linux-headers-2.6.25-2-mckinley linux-headers-2.6.25-2-all-m68k linux-image-2.6.25-2-amiga linux-headers-2.6.25-2-amiga linux-image-2.6.25-2-atari linux-headers-2.6.25-2-atari linux-image-2.6.25-2-bvme6000 linux-headers-2.6.25-2-bvme6000 linux-image-2.6.25-2-mac linux-headers-2.6.25-2-mac linux-image-2.6.25-2-mvme147 linux-headers-2.6.25-2-mvme147 linux-image-2.6.25-2-mvme16x linux-headers-2.6.25-2-mvme16x linux-headers-2.6.25-2-all-mips linux-image-2.6.25-2-r4k-ip22 linux-headers-2.6.25-2-r4k-ip22 linux-image-2.6.25-2-r5k-ip32 linux-headers-2.6.25-2-r5k-ip32 linux-image-2.6.25-2-sb1-bcm91250a linux-headers-2.6.25-2-sb1-bcm91250a linux-image-2.6.25-2-sb1a-bcm91480b linux-headers-2.6.25-2-sb1a-bcm91480b linux-image-2.6.25-2-4kc-malta linux-headers-2.6.25-2-4kc-malta linux-image-2.6.25-2-5kc-malta linux-headers-2.6.25-2-5kc-malta linux-headers-2.6.25-2-all-mipsel linux-image-2.6.25-2-r5k-cobalt linux-headers-2.6.25-2-r5k-cobalt linux-headers-2.6.25-2-all-powerpc linux-image-2.6.25-2-powerpc linux-headers-2.6.25-2-powerpc linux-image-2.6.25-2-powerpc-smp linux-headers-2.6.25-2-powerpc-smp linux-image-2.6.25-2-powerpc-miboot linux-headers-2.6.25-2-powerpc-miboot linux-image-2.6.25-2-powerpc64 linux-headers-2.6.25-2-powerpc64 linux-headers-2.6.25-2-all-s390 linux-image-2.6.25-2-s390 linux-headers-2.6.25-2-s390 linux-image-2.6.25-2-s390-tape linux-image-2.6.25-2-s390x linux-headers-2.6.25-2-s390x linux-headers-2.6.25-2-all-sparc linux-image-2.6.25-2-sparc64 linux-headers-2.6.25-2-sparc64 linux-image-2.6.25-2-sparc64-smp linux-headers-2.6.25-2-sparc64-smp
Architecture: source all amd64
Version: 2.6.25-4
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 linux-doc-2.6.25 - Linux kernel specific documentation for version 2.6.25
 linux-headers-2.6.25-2-486 - Header files for Linux 2.6.25 on x86
 linux-headers-2.6.25-2-4kc-malta - Header files for Linux 2.6.25 on MIPS Malta
 linux-headers-2.6.25-2-5kc-malta - Header files for Linux 2.6.25 on MIPS Malta (64-bit)
 linux-headers-2.6.25-2-686 - Header files for Linux 2.6.25 on PPro/Celeron/PII/PIII/P4
 linux-headers-2.6.25-2-686-bigmem - Header files for Linux 2.6.25 on PPro/Celeron/PII/PIII/P4
 linux-headers-2.6.25-2-all - All header files for Linux 2.6.25
 linux-headers-2.6.25-2-all-alpha - All header files for Linux 2.6.25
 linux-headers-2.6.25-2-all-amd64 - All header files for Linux 2.6.25
 linux-headers-2.6.25-2-all-arm - All header files for Linux 2.6.25
 linux-headers-2.6.25-2-all-armel - All header files for Linux 2.6.25
 linux-headers-2.6.25-2-all-hppa - All header files for Linux 2.6.25
 linux-headers-2.6.25-2-all-i386 - All header files for Linux 2.6.25
 linux-headers-2.6.25-2-all-ia64 - All header files for Linux 2.6.25
 linux-headers-2.6.25-2-all-m68k - All header files for Linux 2.6.25
 linux-headers-2.6.25-2-all-mips - All header files for Linux 2.6.25
 linux-headers-2.6.25-2-all-mipsel - All header files for Linux 2.6.25
 linux-headers-2.6.25-2-all-powerpc - All header files for Linux 2.6.25
 linux-headers-2.6.25-2-all-s390 - All header files for Linux 2.6.25
 linux-headers-2.6.25-2-all-sparc - All header files for Linux 2.6.25
 linux-headers-2.6.25-2-alpha-generic - Header files for Linux 2.6.25 on Alpha
 linux-headers-2.6.25-2-alpha-legacy - Header files for Linux 2.6.25 on Alpha Legacy
 linux-headers-2.6.25-2-alpha-smp - Header files for Linux 2.6.25 on Alpha SMP
 linux-headers-2.6.25-2-amd64 - Header files for Linux 2.6.25 on AMD64
 linux-headers-2.6.25-2-amiga - Header files for Linux 2.6.25 on Amiga
 linux-headers-2.6.25-2-atari - Header files for Linux 2.6.25 on Atari
 linux-headers-2.6.25-2-bvme6000 - Header files for Linux 2.6.25 on BVM BVME4000 and BVME6000
 linux-headers-2.6.25-2-common - Common header files for Linux 2.6.25
 linux-headers-2.6.25-2-common-xen - Common header files for Linux 2.6.25
 linux-headers-2.6.25-2-footbridge - Header files for Linux 2.6.25 on Footbridge based
 linux-headers-2.6.25-2-iop32x - Header files for Linux 2.6.25 on IOP32x
 linux-headers-2.6.25-2-itanium - Header files for Linux 2.6.25 on Itanium
 linux-headers-2.6.25-2-ixp4xx - Header files for Linux 2.6.25 on IXP4xx
 linux-headers-2.6.25-2-mac - Header files for Linux 2.6.25 on Macintosh
 linux-headers-2.6.25-2-mckinley - Header files for Linux 2.6.25 on Itanium II
 linux-headers-2.6.25-2-mvme147 - Header files for Linux 2.6.25 on Motorola MVME147
 linux-headers-2.6.25-2-mvme16x - Header files for Linux 2.6.25 on Motorola MVME162/6/7, MVME172/7
 linux-headers-2.6.25-2-orion5x - Header files for Linux 2.6.25 on Orion
 linux-headers-2.6.25-2-parisc - Header files for Linux 2.6.25 on 32-bit PA-RISC
 linux-headers-2.6.25-2-parisc-smp - Header files for Linux 2.6.25 on multiprocessor 32-bit PA-RISC
 linux-headers-2.6.25-2-parisc64 - Header files for Linux 2.6.25 on 64-bit PA-RISC
 linux-headers-2.6.25-2-parisc64-smp - Header files for Linux 2.6.25 on multiprocessor 64-bit PA-RISC
 linux-headers-2.6.25-2-powerpc - Header files for Linux 2.6.25 on uniprocessor 32-bit PowerPC
 linux-headers-2.6.25-2-powerpc-miboot - Header files for Linux 2.6.25 on 32-bit PowerPC for miboot floppy
 linux-headers-2.6.25-2-powerpc-smp - Header files for Linux 2.6.25 on multiprocessor 32-bit PowerPC
 linux-headers-2.6.25-2-powerpc64 - Header files for Linux 2.6.25 on 64-bit PowerPC
 linux-headers-2.6.25-2-r4k-ip22 - Header files for Linux 2.6.25 on SGI IP22
 linux-headers-2.6.25-2-r5k-cobalt - Header files for Linux 2.6.25 on Cobalt
 linux-headers-2.6.25-2-r5k-ip32 - Header files for Linux 2.6.25 on SGI IP32
 linux-headers-2.6.25-2-s390 - Header files for Linux 2.6.25 on IBM S/390
 linux-headers-2.6.25-2-s390x - Header files for Linux 2.6.25 on IBM zSeries
 linux-headers-2.6.25-2-sb1-bcm91250a - Header files for Linux 2.6.25 on BCM91250A
 linux-headers-2.6.25-2-sb1a-bcm91480b - Header files for Linux 2.6.25 on BCM91480B
 linux-headers-2.6.25-2-sparc64 - Header files for Linux 2.6.25 on uniprocessor 64-bit UltraSPARC
 linux-headers-2.6.25-2-sparc64-smp - Header files for Linux 2.6.25 on multiprocessor 64-bit UltraSPARC
 linux-headers-2.6.25-2-versatile - Header files for Linux 2.6.25 on Versatile
 linux-headers-2.6.25-2-xen-686 - Header files for Linux 2.6.25 on i686
 linux-image-2.6.25-2-486 - Linux 2.6.25 image on x86
 linux-image-2.6.25-2-4kc-malta - Linux 2.6.25 image on MIPS Malta
 linux-image-2.6.25-2-5kc-malta - Linux 2.6.25 image on MIPS Malta (64-bit)
 linux-image-2.6.25-2-686 - Linux 2.6.25 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.25-2-686-bigmem - Linux 2.6.25 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.25-2-alpha-generic - Linux 2.6.25 image on Alpha
 linux-image-2.6.25-2-alpha-legacy - Linux 2.6.25 image on Alpha Legacy
 linux-image-2.6.25-2-alpha-smp - Linux 2.6.25 image on Alpha SMP
 linux-image-2.6.25-2-amd64 - Linux 2.6.25 image on AMD64
 linux-image-2.6.25-2-amiga - Linux 2.6.25 image on Amiga
 linux-image-2.6.25-2-atari - Linux 2.6.25 image on Atari
 linux-image-2.6.25-2-bvme6000 - Linux 2.6.25 image on BVM BVME4000 and BVME6000
 linux-image-2.6.25-2-footbridge - Linux 2.6.25 image on Footbridge based
 linux-image-2.6.25-2-iop32x - Linux 2.6.25 image on IOP32x
 linux-image-2.6.25-2-itanium - Linux 2.6.25 image on Itanium
 linux-image-2.6.25-2-ixp4xx - Linux 2.6.25 image on IXP4xx
 linux-image-2.6.25-2-mac - Linux 2.6.25 image on Macintosh
 linux-image-2.6.25-2-mckinley - Linux 2.6.25 image on Itanium II
 linux-image-2.6.25-2-mvme147 - Linux 2.6.25 image on Motorola MVME147
 linux-image-2.6.25-2-mvme16x - Linux 2.6.25 image on Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.25-2-orion5x - Linux 2.6.25 image on Orion
 linux-image-2.6.25-2-parisc - Linux 2.6.25 image on 32-bit PA-RISC
 linux-image-2.6.25-2-parisc-smp - Linux 2.6.25 image on multiprocessor 32-bit PA-RISC
 linux-image-2.6.25-2-parisc64 - Linux 2.6.25 image on 64-bit PA-RISC
 linux-image-2.6.25-2-parisc64-smp - Linux 2.6.25 image on multiprocessor 64-bit PA-RISC
 linux-image-2.6.25-2-powerpc - Linux 2.6.25 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.25-2-powerpc-miboot - Linux 2.6.25 image on 32-bit PowerPC for miboot floppy
 linux-image-2.6.25-2-powerpc-smp - Linux 2.6.25 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.25-2-powerpc64 - Linux 2.6.25 image on 64-bit PowerPC
 linux-image-2.6.25-2-r4k-ip22 - Linux 2.6.25 image on SGI IP22
 linux-image-2.6.25-2-r5k-cobalt - Linux 2.6.25 image on Cobalt
 linux-image-2.6.25-2-r5k-ip32 - Linux 2.6.25 image on SGI IP32
 linux-image-2.6.25-2-s390 - Linux 2.6.25 image on IBM S/390
 linux-image-2.6.25-2-s390-tape - Linux 2.6.25 image on IBM S/390 tape
 linux-image-2.6.25-2-s390x - Linux 2.6.25 image on IBM zSeries
 linux-image-2.6.25-2-sb1-bcm91250a - Linux 2.6.25 image on BCM91250A
 linux-image-2.6.25-2-sb1a-bcm91480b - Linux 2.6.25 image on BCM91480B
 linux-image-2.6.25-2-sparc64 - Linux 2.6.25 image on uniprocessor 64-bit UltraSPARC
 linux-image-2.6.25-2-sparc64-smp - Linux 2.6.25 image on multiprocessor 64-bit UltraSPARC
 linux-image-2.6.25-2-versatile - Linux 2.6.25 image on Versatile
 linux-image-2.6.25-2-xen-686 - Linux 2.6.25 image on i686
 linux-libc-dev - Linux Kernel Headers for development
 linux-manual-2.6.25 - Linux kernel API manual pages for version 2.6.25
 linux-modules-2.6.25-2-xen-686 - Linux 2.6.25 modules on i686
 linux-patch-debian-2.6.25 - Debian patches to version 2.6.25 of the Linux kernel
 linux-source-2.6.25 - Linux kernel source for version 2.6.25 with Debian patches
 linux-support-2.6.25-2 - Support files for Linux 2.6.25
 linux-tree-2.6.25 - Linux kernel source tree for building Debian kernel images
Closes: 429064 479899 481410
Changes: 
 linux-2.6 (2.6.25-4) unstable; urgency=low
 .
   [ maximilian attems ]
   * Fix arm Kconfig logic disabling random drivers. (closes: #481410)
   * Add stable release 2.6.25.4:
     - OHCI: fix regression upon awakening from hibernation
     - V4L/DVB (7473): PATCH for various Dibcom based devices
     - {nfnetlink, ip, ip6}_queue: fix skb_over_panic when enlarging packets
     - dccp: return -EINVAL on invalid feature length
     - md: fix raid5 'repair' operations
     - sparc: Fix SA_ONSTACK signal handling.
     - sparc: Fix fork/clone/vfork system call restart.
     - sparc64: Stop creating dummy root PCI host controller devices.
     - sparc64: Fix wedged irq regression.
     - SPARC64: Fix args to 64-bit sys_semctl() via sys_ipc().
     - serial: Fix sparc driver name strings.
     - sparc: Fix ptrace() detach.
     - sparc: Fix mremap address range validation.
     - sparc: Fix debugger syscall restart interactions.
     - sparc32: Don't twiddle PT_DTRACE in exec.
     - r8169: fix oops in r8169_get_mac_version
     - SCSI: aha152x: Fix oops on module removal
     - SCSI: aha152x: fix init suspiciously returned 1, it should follow
       0/-E convention
     - sch_htb: remove from event queue in htb_parent_to_leaf()
     - i2c-piix4: Blacklist two mainboards
     - SCSI: qla1280: Fix queue depth problem
     - ipvs: fix oops in backup for fwmark conn templates
     - USB: airprime: unlock mutex instead of trying to lock it again
     - rtc: rtc_time_to_tm: use unsigned arithmetic
     - SCSI: libiscsi regression in 2.6.25: fix nop timer handling
     - SCSI: libiscsi regression in 2.6.25: fix setting of recv timer
     - can: Fix can_send() handling on dev_queue_xmit() failures
     - macvlan: Fix memleak on device removal/crash on module removal
     - nf_conntrack: padding breaks conntrack hash on ARM
     - sparc: sunzilog uart order
     - r8169: fix past rtl_chip_info array size for unknown chipsets
     - x86: use defconfigs from x86/configs/*
     - vt: fix canonical input in UTF-8 mode
     - ata_piix: verify SIDPR access before enabling it
     - serial: access after NULL check in uart_flush_buffer()
     - x86: sysfs cpu?/topology is empty in 2.6.25 (32-bit Intel system)
     - XFRM: AUDIT: Fix flowlabel text format ambibuity.
   * Update userspace merged HZ alpha fixed version.
   * Backport netfilter: Move linux/types.h inclusions outside of #ifdef
     __KERNEL__. (closes: #479899)
   * types.h: don't expose struct ustat to userspace. (closes: #429064)
 .
   [ Bastian Blank ]
   * Fix ABI changes from: ipvs: fix oops in backup for fwmark conn templates
Checksums-Sha1: 
 c12851bd0153f5f193b3b616d3a41b0dc80efc75 4749 linux-2.6_2.6.25-4.dsc
 4ce9a8e4641637ae7eaab2d02fa38dbf437dee4f 2816892 linux-2.6_2.6.25-4.diff.gz
 76b7fd3ad7dc430509a17e3ea99673ef4d680a42 4709176 linux-doc-2.6.25_2.6.25-4_all.deb
 939f4875a105896b0c782f4c822fc6e9771d19fc 1714212 linux-manual-2.6.25_2.6.25-4_all.deb
 273f077d373b93ea90102c4b5e073a39c806579b 690932 linux-patch-debian-2.6.25_2.6.25-4_all.deb
 c3781c195cd0ff18ea85bc93ef6a7eca6f6061b5 48534152 linux-source-2.6.25_2.6.25-4_all.deb
 ad89e597639075aa1131d4e36e819386b4db6255 97358 linux-support-2.6.25-2_2.6.25-4_all.deb
 e5f15bd5a8780a8741fa9a3c86d182b43e4e9e7d 82780 linux-tree-2.6.25_2.6.25-4_all.deb
 08f0102cab514e72f1761d4dc075048866c191b2 20167156 linux-image-2.6.25-2-amd64_2.6.25-4_amd64.deb
 4733b4b82c6288188ffe241645232d2dd9ae9dca 358792 linux-headers-2.6.25-2-amd64_2.6.25-4_amd64.deb
 c6579bcd97afee7b6cf8db44c0c8134f30bb6d1d 3719088 linux-headers-2.6.25-2-common_2.6.25-4_amd64.deb
 739158edf9fb64151cca7e1c2126e63dacef7974 82414 linux-headers-2.6.25-2-all_2.6.25-4_amd64.deb
 dcaae984653e863b51763e5151740e2bcf838fb7 82420 linux-headers-2.6.25-2-all-amd64_2.6.25-4_amd64.deb
 782a432e11b4ab3df057a9856d770564617c8eb7 727160 linux-libc-dev_2.6.25-4_amd64.deb
Checksums-Sha256: 
 f6745d2c1b460f49439bd5dcca4deeee4945093800fc7264125999721d484691 4749 linux-2.6_2.6.25-4.dsc
 6f8b040e3fe9b1f3b62706449528484497c03c04f390426a543f2c0593af23cb 2816892 linux-2.6_2.6.25-4.diff.gz
 d56b407e33768b90a4362ade5f68a4ce222cfd315d52d606876ed853f4955f88 4709176 linux-doc-2.6.25_2.6.25-4_all.deb
 dd997a6229cb35eaf909a7b1f7d9b48c73b575c7d30f4ecb048c8a2f51772bfd 1714212 linux-manual-2.6.25_2.6.25-4_all.deb
 6ca59ae1eda2bab29513cfeb511fa112f45229e05f85c4aa04a9c41dd730792a 690932 linux-patch-debian-2.6.25_2.6.25-4_all.deb
 a57bb585d84bf8e52f85120c66ebec49cc54882cb314c10f1f74af6e3972e342 48534152 linux-source-2.6.25_2.6.25-4_all.deb
 48fef28104b53486bf5ef6cbe3528a01220d254d3d6b93d4d884ea5283bd55fa 97358 linux-support-2.6.25-2_2.6.25-4_all.deb
 8f29ca995d66e49e65a6a60141ff27310496018556437b5ae0e4f44b2f5fe740 82780 linux-tree-2.6.25_2.6.25-4_all.deb
 dd34435159c6b458abbba4eaeb5794f42c13dc2215a88cb31c4ae41d77f6f638 20167156 linux-image-2.6.25-2-amd64_2.6.25-4_amd64.deb
 de2ebeba90c03bfbdbab6ad4327470cdecc250de8c5f2cef12a6117a5f77aa09 358792 linux-headers-2.6.25-2-amd64_2.6.25-4_amd64.deb
 95116ccdcad76c892aed8e8c7ad304d7808da0bcfa61490f6140dc0cccd977d9 3719088 linux-headers-2.6.25-2-common_2.6.25-4_amd64.deb
 5df9071cc985329c5918dc597149b6085c80f497050cec68e6d2c0e22b959bd8 82414 linux-headers-2.6.25-2-all_2.6.25-4_amd64.deb
 73beaafa66d3cc44855ccbe40a5fdc14eeaffbe2ba0f4f7c2441d17d4973156d 82420 linux-headers-2.6.25-2-all-amd64_2.6.25-4_amd64.deb
 499621f26fc581ca43f204b1561b3d2c3ee09e56d806ee05915cc8f18c6a13b5 727160 linux-libc-dev_2.6.25-4_amd64.deb
Files: 
 eaaa74189a24cfbf218d221930a4bbb2 4749 devel optional linux-2.6_2.6.25-4.dsc
 ed94269a68c4250e8fab5ac364b59fc9 2816892 devel optional linux-2.6_2.6.25-4.diff.gz
 6ce2440fbd9b68228005821daecb776a 4709176 doc optional linux-doc-2.6.25_2.6.25-4_all.deb
 9b87f8710fab1774ef08d6eaff38db1b 1714212 doc optional linux-manual-2.6.25_2.6.25-4_all.deb
 96a0b56f0e74c4f1787943667591fd80 690932 devel optional linux-patch-debian-2.6.25_2.6.25-4_all.deb
 60d3654d49843842478228ada04ba53a 48534152 devel optional linux-source-2.6.25_2.6.25-4_all.deb
 111ea727e4330ceb361eb1db0141fc43 97358 devel optional linux-support-2.6.25-2_2.6.25-4_all.deb
 8025956ec63b39b01c2c1b3004ac17c4 82780 devel optional linux-tree-2.6.25_2.6.25-4_all.deb
 7fbd3d0b6d7fc4bb235c5f5102ffd24d 20167156 admin optional linux-image-2.6.25-2-amd64_2.6.25-4_amd64.deb
 1731d97700a4a68b445970bc839a9a7d 358792 devel optional linux-headers-2.6.25-2-amd64_2.6.25-4_amd64.deb
 fd83e1295086c27e699db285781207ce 3719088 devel optional linux-headers-2.6.25-2-common_2.6.25-4_amd64.deb
 40a44ed5330e5949351abccac00da1a2 82414 devel optional linux-headers-2.6.25-2-all_2.6.25-4_amd64.deb
 f6d5152bfca83173b9de3ca498d966fa 82420 devel optional linux-headers-2.6.25-2-all-amd64_2.6.25-4_amd64.deb
 cb02b5cc1b1107f7fb5c614960e7ff11 727160 devel optional linux-libc-dev_2.6.25-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIPBHHeW7Lc5tEHqgRAvxgAJ9sn1YA7si52y9ECskme40PrUdfkQCfbRhy
HrRti7oDN0Hb7i27bqdAGo0=
=Gy/8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 14 Jul 2008 07:33:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:33:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.